# Show the menu title

	tellraw @a "\n\n\n\n\n\n"
	tellraw @a {"text":"======= Mad Hatter =======","color":"green","bold":true}
	tellraw @a {"text":" --------- Hat Select ---------","color":"green","bold":false}
	tellraw @a {"text":" (Applies hat to item in mainhand)","color":"gray"}
	tellraw @a ""


# Play sound

	playsound minecraft:ui.button.click master @s ~ ~ ~ 1 1 1


# Setup variables to loop through paraxs_hats:hats.menu

	scoreboard players set %index value 0
	scoreboard players set %next_index value 1

	execute if score @s hat_menu matches ..-100 run function paraxs_hats:internal/display_menu/get_page_number

	execute store result storage paraxs_hats:hats index int 1 run scoreboard players get %index value
	execute store result storage paraxs_hats:hats next_index int 1 run scoreboard players get %next_index value

	scoreboard players operation %remaining_entry_count value = %page_length value	


# Display the page

	function paraxs_hats:internal/display_menu/get_next_option with storage paraxs_hats:hats {}
	function paraxs_hats:internal/display_menu/display_next_option with storage paraxs_hats:hats {}


# Display the hat remover

	tellraw @s {"text":"Remove Hat","color":"red","clickEvent":{"action":"run_command","value":"/trigger hat_menu set -1"},"hoverEvent":{"action":"show_text","contents":"Remove Hat"}}


# Display the page selector

	scoreboard players set %-1 value -1

	scoreboard players operation %previous_page_number value = %page_number value
	scoreboard players remove %previous_page_number value 1
	scoreboard players operation %next_page_number value = %page_number value
	scoreboard players add %next_page_number value 1

	scoreboard players operation %forward_trigger value = %page_number value
	scoreboard players operation %forward_trigger value *= %-1 value
	scoreboard players remove %forward_trigger value 100

	scoreboard players operation %back_trigger value = %forward_trigger value
	scoreboard players add %back_trigger value 2


	execute store result storage paraxs_hats:hats previous_page_number int 1 run scoreboard players get %previous_page_number value
	execute store result storage paraxs_hats:hats page_number int 1 run scoreboard players get %page_number value
	execute store result storage paraxs_hats:hats next_page_number int 1 run scoreboard players get %next_page_number value
	execute store result storage paraxs_hats:hats back_trigger int 1 run scoreboard players get %back_trigger value
	execute store result storage paraxs_hats:hats forward_trigger int 1 run scoreboard players get %forward_trigger value

	function paraxs_hats:internal/display_menu/display_page_select with storage paraxs_hats:hats

	scoreboard players reset %-1
	scoreboard players reset %previous_page_number
	scoreboard players reset %page_number
	scoreboard players reset %next_page_number
	scoreboard players reset %back_trigger
	scoreboard players reset %forward_trigger
	data remove storage paraxs_hats:hats previous_page_number
	data remove storage paraxs_hats:hats page_number
	data remove storage paraxs_hats:hats next_page_number
	data remove storage paraxs_hats:hats back_trigger
	data remove storage paraxs_hats:hats forward_trigger


# Cleanup

	scoreboard players reset %index
	scoreboard players reset %next_index
	scoreboard players reset %remaining_entry_count
	data remove storage paraxs_hats:hats index
	data remove storage paraxs_hats:hats next_index
	data remove storage paraxs_hats:hats current_menu_option