# Add objetives and stuff

	scoreboard players reset %page_length
	scoreboard objectives remove paraxs_hats
	scoreboard objectives remove hat_menu
	scoreboard objectives remove value
	scoreboard objectives add hat_menu trigger "Hat Menu"
	scoreboard objectives add value dummy
	scoreboard players set %page_length value 10


# Make sure nobody has the tick advancement

	advancement revoke @a only paraxs_hats:player_tick


# Reset hat registry

	data remove storage paraxs_hats:hats hats
	data remove storage paraxs_hats:hats model_list
	data remove storage paraxs_hats:hats menu
	function #paraxs_hats:hat_registries
	function paraxs_hats:internal/build_model_list/start with storage paraxs_hats:hats
	function paraxs_hats:internal/build_menu/start with storage paraxs_hats:hats


# Check for load errors and display load message

	tellraw @a [{"text":" ","clickEvent":{"action":"open_url","value":"https://modrinth.com/datapack/paraxs-hats"},"hoverEvent":{"action":"show_text","contents":"Check out the Modrinth page"}},{"text":"Mad Hatter","color":"light_purple","clickEvent":{"action":"open_url","value":"https://modrinth.com/datapack/paraxs-hats"},"hoverEvent":{"action":"show_text","contents":"Check out the Modrinth page!"}},{"text":" (by Parax342)","color":"gray","clickEvent":{"action":"open_url","value":"https://linktr.ee/parax342"},"hoverEvent":{"action":"show_text","contents":"Check out the author"}}]
	execute unless data storage paraxs_hats:hats hats run return run tellraw @a {"text":" - Warning: No hats were found. Did you forget to add some?","color":"yellow"}
	execute unless data storage paraxs_hats:hats model_list run return run tellraw @a {"text":" - Error: Failed to build model list. If you see this, please contact me with details. The pack is not working as intended.","color":"red"}
	execute unless data storage paraxs_hats:hats menu run return run tellraw @a {"text":" - Error: Failed to build hat menu. If you see this, please contact me with details. The pack is not working as intended.","color":"red"}
	tellraw @a [{"text":" - Datapack has loaded succesfully!","color":"green"}]