# Add default menu stuff

	data modify storage paraxs_hats:hats menu set value []


# Set the index to 0 so the function can loop through each hat in the registry

	scoreboard players set %total_pages value -1
	scoreboard players set %hat_index value 0
	scoreboard players set %next_hat_index value 1
	scoreboard players set %hat_item_number value 1
	scoreboard players set %hat_trigger value 1000
	execute store result storage paraxs_hats:hats hat_index int 1 run scoreboard players get %hat_index value
	execute store result storage paraxs_hats:hats next_hat_index int 1 run scoreboard players get %next_hat_index value
	execute store result storage paraxs_hats:hats hat_trigger int 1 run scoreboard players get %hat_trigger value
	execute store result storage paraxs_hats:hats hat_item_number int 1 run scoreboard players get %hat_item_number value


# Call recursive part

	function paraxs_hats:internal/build_menu/check_hat_or_hat_group with storage paraxs_hats:hats


# Store total menu page count

	scoreboard players set %10 value 10
	scoreboard players add %total_pages value 9
	scoreboard players operation %total_pages value /= %10 value

	execute store result storage paraxs_hats:hats max_pages int 1 run scoreboard players get %total_pages value

	scoreboard players reset %10
	scoreboard players reset %total_pages


# Clean up temporary data

	data remove storage paraxs_hats:hats hat_index
	data remove storage paraxs_hats:hats next_hat_index
	data remove storage paraxs_hats:hats hat_trigger
	data remove storage paraxs_hats:hats current_hat_name
	data remove storage paraxs_hats:hats hat_item_number
	scoreboard players reset %hat_index
	scoreboard players reset %next_hat_index
	scoreboard players reset %hat_trigger
	scoreboard players reset %hat_item_number